group "CommodityFixedPhysicalQuantity.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
(physicalQuantity | physicalQuantitySchedule), totalPhysicalQuantity?

Content Model Elements (3):

  physicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  physicalQuantitySchedule (defined in CommodityFixedPhysicalQuantity.model group),
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group)

Known Usage Locations

- In definitions of global complexTypes (4):
  BullionPhysicalLeg, CommodityPhysicalQuantity, GasPhysicalQuantity, MetalPhysicalLeg

Annotation
The different options for specifying a fixed physical quantity of commodity to be delivered.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommodityFixedPhysicalQuantity.model"> <xsd:sequence> <xsd:choice> <xsd:element name="physicalQuantity" type="CommodityNotionalQuantity"/> <xsd:element name="physicalQuantitySchedule" type="CommodityPhysicalQuantitySchedule"/> </xsd:choice> <xsd:element minOccurs="0" name="totalPhysicalQuantity" type="UnitQuantity"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
physicalQuantity

  Type: | CommodityNotionalQuantity, complex content

  The Quantity per Delivery Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="physicalQuantity" type="CommodityNotionalQuantity"/>

physicalQuantitySchedule

  Type: | CommodityPhysicalQuantitySchedule, complex content

  Allows the documentation of a shaped quantity trade where the quantity changes over the life of the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="physicalQuantitySchedule" type="CommodityPhysicalQuantitySchedule"/>

totalPhysicalQuantity

  Type: | UnitQuantity, complex content

  The Total Quantity of the commodity to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="totalPhysicalQuantity" type="UnitQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.